> ## Documentation Index
> Fetch the complete documentation index at: https://docs.calseta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Approval Request



## OpenAPI

````yaml GET /v1/workflow-approvals/{approval_uuid}
openapi: 3.1.0
info:
  title: Calseta
  description: SOC data platform for security agent consumption
  version: dev
servers: []
security: []
paths:
  /v1/workflow-approvals/{approval_uuid}:
    get:
      tags:
        - workflow-approvals
      summary: Get Approval Request
      operationId: get_approval_request_v1_workflow_approvals__approval_uuid__get
      parameters:
        - name: approval_uuid
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Approval Uuid
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DataResponse_WorkflowApprovalRequestResponse_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DataResponse_WorkflowApprovalRequestResponse_:
      properties:
        data:
          $ref: '#/components/schemas/WorkflowApprovalRequestResponse'
        meta:
          additionalProperties: true
          type: object
          title: Meta
      type: object
      required:
        - data
      title: DataResponse[WorkflowApprovalRequestResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WorkflowApprovalRequestResponse:
      properties:
        uuid:
          type: string
          format: uuid
          title: Uuid
        workflow_id:
          type: integer
          title: Workflow Id
        workflow_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Workflow Name
        workflow_uuid:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Workflow Uuid
        trigger_type:
          type: string
          title: Trigger Type
        trigger_agent_key_prefix:
          anyOf:
            - type: string
            - type: 'null'
          title: Trigger Agent Key Prefix
        trigger_context:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Trigger Context
        reason:
          type: string
          title: Reason
        confidence:
          type: number
          title: Confidence
        notifier_type:
          type: string
          title: Notifier Type
        notifier_channel:
          anyOf:
            - type: string
            - type: 'null'
          title: Notifier Channel
        status:
          type: string
          title: Status
        responder_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Responder Id
        responded_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Responded At
        expires_at:
          type: string
          format: date-time
          title: Expires At
        execution_result:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Execution Result
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - uuid
        - workflow_id
        - trigger_type
        - trigger_context
        - reason
        - confidence
        - notifier_type
        - notifier_channel
        - status
        - responder_id
        - responded_at
        - expires_at
        - execution_result
        - created_at
        - updated_at
      title: WorkflowApprovalRequestResponse
      description: Full approval request state — used by GET /v1/workflow-approvals/{uuid}.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````